Create a custom field
curl --request POST \
--url https://api.terminal49.com/v2/custom_fields \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.terminal49.com/v2/custom_fields"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.terminal49.com/v2/custom_fields', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "custom_field",
"attributes": {
"api_slug": "<string>",
"value": "<string>",
"display_value": "<string>"
},
"relationships": {
"entity": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"definition": {
"data": {
"type": "custom_field_definition",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
},
"links": {
"self": "<string>"
}
}Custom Fields
Create a custom field
POST
/
custom_fields
Create a custom field
Use this endpoint to create a custom field value on a shipment or container. The field must reference an existing custom field definition.
Request body
| Parameter | Required | Description |
|---|---|---|
entity | Yes | Polymorphic relationship to a Shipment or Container |
api_slug | Yes | The slug of the custom field definition |
value | Yes | The field value (must match the definition’s data type) |
Value formats by data type
| Data type | Expected value format |
|---|---|
short_text | Any string |
number | Numeric value |
date | Date string (parsed using definition’s default_format or flexible parsing) |
datetime | DateTime string |
boolean | true or false |
enum | String matching one of the definition’s option values |
enum_multi | Array of strings matching the definition’s option values |
Validation
- Values are validated against the definition’s data type
- Enum values must match one of the definition’s configured options
- The
api_slugmust reference a definition belonging to your account or a Terminal49 template
Authorizations
Token YOUR_API_TOKEN
The APIs require authentication to be done using header-based API Key and Secret Authentication.
API key and secret are sent va the Authorization request header.
You send your API key and secret in the following way:
Authorization: Token YOUR_API_KEY
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?
⌘I